com.google.gwt.core.ext.soyc

## Interface Member

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  ClassMember, FieldMember, MethodMember

    public interface Member
    extends java.io.Serializable

The Member type hierarchy represents structural or logical structures in the compiled output. Members don't have a getRange() function because the bytes derived from the member are likely disjoint.

### Field Summary

Fields
`static java.util.Comparator<Member>` `SOURCE_NAME_COMPARATOR` Compares Members based solely on source name.
`static java.util.Comparator<Member>` `TYPE_AND_SOURCE_NAME_COMPARATOR` Compares Members based on type and source name.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getSourceName()` Returns the name of the Member in the original source code.
`ClassMember` `isClass()` Returns the Member if it is a ClassMember or `null`.
`FieldMember` `isField()` Returns the Member if it is a FieldMember or `null`.
`MethodMember` `isMethod()` Returns the Member if it is a MethodMember or `null`.

### Field Detail

#### SOURCE_NAME_COMPARATOR

    static final java.util.Comparator<Member> SOURCE_NAME_COMPARATOR

Compares Members based solely on source name. This comparator is faster than `TYPE_AND_SOURCE_NAME_COMPARATOR`, but is only appropriate for use with homogeneous collections of Members.

#### TYPE_AND_SOURCE_NAME_COMPARATOR

    static final java.util.Comparator<Member> TYPE_AND_SOURCE_NAME_COMPARATOR

Compares Members based on type and source name.

### Method Detail

#### getSourceName

    java.lang.String getSourceName()

Returns the name of the Member in the original source code.

#### isClass

    ClassMember isClass()

Returns the Member if it is a ClassMember or `null`.

#### isField

    FieldMember isField()

Returns the Member if it is a FieldMember or `null`.

#### isMethod

    MethodMember isMethod()

Returns the Member if it is a MethodMember or `null`.